Skip to main content
GET
/
api
/
v1
/
users
/
me
Get Current User
curl --request GET \
  --url https://api.example.com/api/v1/users/me \
  --header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/api/v1/users/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://api.example.com/api/v1/users/me"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "email": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "display_name": "<string>",
  "picture": "<string>",
  "email_verified": true,
  "has_password": true,
  "timezone": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "last_login_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

OK

id
string<uuid>
required
email
string
required
first_name
string
required
last_name
string
required
display_name
string
required
picture
string
required
email_verified
boolean
required
has_password
boolean
required
timezone
string
required
created_at
string<date-time>
required
last_login_at
string<date-time> | null